css ler /public/css/ kalsorunde 
 * Bootstrap v5.2.0-beta1 kullanarak yapabilirsin
sweetaler2

sadece soft delete edilmis
curl -X 'GET' \
  'http://localhost:8080/api/v1/admin/categories?trashed=only' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VyX2lkIjoxLCJlbWFpbCI6ImJleWhhbkBiZXloYW4uZGV2IiwiaXNfYWRtaW4iOnRydWUsImZpcnN0X25hbWUiOiJCZXloYW4iLCJsYXN0X25hbWUiOiJPxJ91ciIsInRva2VuX3R5cGUiOiJhY2Nlc3MiLCJzdWIiOiIxIiwiZXhwIjoxNzcxMzI1MjM0LCJpYXQiOjE3NzEzMTgwMzR9.PlL8aXxN-6U6yZE1nNQJ_sTdnzwni12p_JxoB1RRfy0'

Request URL

http://localhost:8080/api/v1/admin/categories?trashed=only

Server response
Code	Details
200	
Response body
Download

{
  "data": [
    {
      "ID": 11,
      "CreatedAt": "2026-02-16T02:27:17.611+03:00",
      "UpdatedAt": "2026-02-16T02:46:47.319+03:00",
      "DeletedAt": "2026-02-16T02:56:25.664+03:00",
      "title": "rftghyujkiiiüüğğççöö",
      "slug": "rftghyujkiiiuuggccoo",
      "description": "sfdfsd",
      "parent_id": 1
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 10,
    "total": 1
  }
}

Response headers

 content-length: 300 
 content-type: application/json; charset=utf-8 
 date: Tue,17 Feb 2026 10:45:03 GMT 

 #############

admin kategoriler list hepsi
curl -X 'GET' \
  'http://localhost:8080/api/v1/admin/categories?trashed=with' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VyX2lkIjoxLCJlbWFpbCI6ImJleWhhbkBiZXloYW4uZGV2IiwiaXNfYWRtaW4iOnRydWUsImZpcnN0X25hbWUiOiJCZXloYW4iLCJsYXN0X25hbWUiOiJPxJ91ciIsInRva2VuX3R5cGUiOiJhY2Nlc3MiLCJzdWIiOiIxIiwiZXhwIjoxNzcxMzI1MjM0LCJpYXQiOjE3NzEzMTgwMzR9.PlL8aXxN-6U6yZE1nNQJ_sTdnzwni12p_JxoB1RRfy0'

Request URL

http://localhost:8080/api/v1/admin/categories?trashed=with

Server response
Code	Details
200	
Response body
Download

{
  "data": [
    {
      "ID": 13,
      "CreatedAt": "2026-02-16T02:48:15.651+03:00",
      "UpdatedAt": "2026-02-16T02:48:15.651+03:00",
      "DeletedAt": null,
      "title": "sdadasd",
      "slug": "sdadasd",
      "description": "asdasdad"
    },
    {
      "ID": 12,
      "CreatedAt": "2026-02-16T02:29:37.895+03:00",
      "UpdatedAt": "2026-02-16T02:40:55.819+03:00",
      "DeletedAt": null,
      "title": "update",
      "slug": "update",
      "description": "update"
    },
    {
      "ID": 11,
      "CreatedAt": "2026-02-16T02:27:17.611+03:00",
      "UpdatedAt": "2026-02-16T02:46:47.319+03:00",
      "DeletedAt": "2026-02-16T02:56:25.664+03:00",
      "title": "rftghyujkiiiüüğğççöö",
      "slug": "rftghyujkiiiuuggccoo",
      "description": "sfdfsd",
      "parent_id": 1
    },
    {
      "ID": 10,
      "CreatedAt": "2026-02-16T02:26:53.621+03:00",
      "UpdatedAt": "2026-02-16T02:55:27.599+03:00",
      "DeletedAt": null,
      "title": "34345345",
      "slug": "34345345",
      "description": "sfdfsd",
      "parent_id": 8
    },
    {
      "ID": 8,
      "CreatedAt": "2026-02-15T07:43:42.09+03:00",
      "UpdatedAt": "2026-02-15T07:43:42.09+03:00",
      "DeletedAt": null,
      "title": "Finans",
      "slug": "finans",
      "description": "Finans kategorisi seed verisi",
      "children": [
        {
          "ID": 10,
          "CreatedAt": "2026-02-16T02:26:53.621+03:00",
          "UpdatedAt": "2026-02-16T02:55:27.599+03:00",
          "DeletedAt": null,
          "title": "34345345",
          "slug": "34345345",
          "description": "sfdfsd",
          "parent_id": 8
        }
      ]
    },
    {
      "ID": 7,
      "CreatedAt": "2026-02-15T07:43:42.07+03:00",
      "UpdatedAt": "2026-02-15T07:43:42.07+03:00",
      "DeletedAt": null,
      "title": "Saglik",
      "slug": "saglik",
      "description": "Saglik kategorisi seed verisi"
    },
    {
      "ID": 6,
      "CreatedAt": "2026-02-15T07:43:42.053+03:00",
      "UpdatedAt": "2026-02-15T07:43:42.053+03:00",
      "DeletedAt": null,
      "title": "Spor",
      "slug": "spor",
      "description": "Spor kategorisi seed verisi"
    },
    {
      "ID": 5,
      "CreatedAt": "2026-02-15T07:43:42.038+03:00",
      "UpdatedAt": "2026-02-16T02:48:47.358+03:00",
      "DeletedAt": null,
      "title": "Egitim",
      "slug": "egitim",
      "description": "Egitim kategorisi seed verisi",
      "parent_id": 2
    },
    {
      "ID": 4,
      "CreatedAt": "2026-02-15T07:43:42.023+03:00",
      "UpdatedAt": "2026-02-15T07:43:42.023+03:00",
      "DeletedAt": null,
      "title": "Yasam",
      "slug": "yasam",
      "description": "Yasam kategorisi seed verisi"
    },
    {
      "ID": 3,
      "CreatedAt": "2026-02-15T07:43:42.005+03:00",
      "UpdatedAt": "2026-02-15T07:43:42.005+03:00",
      "DeletedAt": null,
      "title": "Guncel",
      "slug": "guncel",
      "description": "Guncel kategorisi seed verisi"
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 10,
    "total": 12
  }
}

Response headers

 content-length: 2197 
 content-type: application/json; charset=utf-8 
 date: Tue,17 Feb 2026 10:43:49 GMT 



#################################################

 kategorileri ekleme

 curl -X 'POST' \
  'http://localhost:8080/api/v1/categories' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VyX2lkIjoxLCJlbWFpbCI6ImJleWhhbkBiZXloYW4uZGV2IiwiaXNfYWRtaW4iOnRydWUsImZpcnN0X25hbWUiOiJCZXloYW4iLCJsYXN0X25hbWUiOiJPxJ91ciIsInRva2VuX3R5cGUiOiJhY2Nlc3MiLCJzdWIiOiIxIiwiZXhwIjoxNzcxMjA1MDM2LCJpYXQiOjE3NzExOTc4MzZ9.p1hHNkMya9mEII-Bkc9TkMtBeWt6k3bp2e-pR5zw_EI' \
  -H 'Content-Type: application/json' \
  -d '{
  "description": "sfdfsd",
  "parent_id": null,
  "title": "öçşiğüIi"
}'

Request URL

http://localhost:8080/api/v1/categories

Server response
Code	Details
201	
Response body
Download

{
  "ID": 12,
  "CreatedAt": "2026-02-15T23:29:37.89581Z",
  "UpdatedAt": "2026-02-15T23:29:37.89581Z",
  "DeletedAt": null,
  "title": "öçşiğüIi",
  "slug": "ocsiguii",
  "description": "sfdfsd"
}

Response headers

 access-control-allow-credentials: true 
 access-control-allow-headers: Authorization,Content-Type,Accept,Origin,X-Requested-With 
 access-control-allow-methods: GET,POST,PUT,PATCH,DELETE,OPTIONS 
 access-control-allow-origin: http://localhost:8080 
 access-control-max-age: 600 
 content-length: 173 
 content-type: application/json; charset=utf-8 
 date: Sun,15 Feb 2026 23:29:37 GMT 
 vary: Origin 

Responses
Code	Description
201	

Created

{
  "children": [
    "string"
  ],
  "description": "string",
  "id": 0,
  "parent_id": 0,
  "title": "string"
}

400	

#################################################

kategoriler update

curl -X 'PUT' \
  'http://localhost:8080/api/v1/categories/12' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VyX2lkIjoxLCJlbWFpbCI6ImJleWhhbkBiZXloYW4uZGV2IiwiaXNfYWRtaW4iOnRydWUsImZpcnN0X25hbWUiOiJCZXloYW4iLCJsYXN0X25hbWUiOiJPxJ91ciIsInRva2VuX3R5cGUiOiJhY2Nlc3MiLCJzdWIiOiIxIiwiZXhwIjoxNzcxMjA1MDM2LCJpYXQiOjE3NzExOTc4MzZ9.p1hHNkMya9mEII-Bkc9TkMtBeWt6k3bp2e-pR5zw_EI' \
  -H 'Content-Type: application/json' \
  -d '{
  "description": "update",
  "parent_id": null,
  "title": "update"
}'

Request URL

http://localhost:8080/api/v1/categories/12

Server response
Code	Details
200	
Response body
Download

{
  "ID": 12,
  "CreatedAt": "2026-02-16T02:29:37.895+03:00",
  "UpdatedAt": "2026-02-15T23:40:55.819633Z",
  "DeletedAt": null,
  "title": "update",
  "slug": "update",
  "description": "update"
}

Response headers

 access-control-allow-credentials: true 
 access-control-allow-headers: Authorization,Content-Type,Accept,Origin,X-Requested-With 
 access-control-allow-methods: GET,POST,PUT,PATCH,DELETE,OPTIONS 
 access-control-allow-origin: http://localhost:8080 
 access-control-max-age: 600 
 content-length: 168 
 content-type: application/json; charset=utf-8 
 date: Sun,15 Feb 2026 23:40:55 GMT 
 vary: Origin 

 ############################

 kategorileri silme

 curl -X 'DELETE' \
  'http://localhost:8080/api/v1/categories/12' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VyX2lkIjoxLCJlbWFpbCI6ImJleWhhbkBiZXloYW4uZGV2IiwiaXNfYWRtaW4iOnRydWUsImZpcnN0X25hbWUiOiJCZXloYW4iLCJsYXN0X25hbWUiOiJPxJ91ciIsInRva2VuX3R5cGUiOiJhY2Nlc3MiLCJzdWIiOiIxIiwiZXhwIjoxNzcxMjA1MDM2LCJpYXQiOjE3NzExOTc4MzZ9.p1hHNkMya9mEII-Bkc9TkMtBeWt6k3bp2e-pR5zw_EI'

Request URL

http://localhost:8080/api/v1/categories/12

Server response
Code	Details
200	
Response body
Download

{
  "message": "category deleted"
}

Response headers

 access-control-allow-credentials: true 
 access-control-allow-headers: Authorization,Content-Type,Accept,Origin,X-Requested-With 
 access-control-allow-methods: GET,POST,PUT,PATCH,DELETE,OPTIONS 
 access-control-allow-origin: http://localhost:8080 
 access-control-max-age: 600 
 content-length: 30 
 content-type: application/json; charset=utf-8 
 date: Sun,15 Feb 2026 23:42:58 GMT 
 vary: Origin 

 ####################
 restore etme

 curl -X 'POST' \
  'http://localhost:8080/api/v1/admin/categories/11/restore' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VyX2lkIjoxLCJlbWFpbCI6ImJleWhhbkBiZXloYW4uZGV2IiwiaXNfYWRtaW4iOnRydWUsImZpcnN0X25hbWUiOiJCZXloYW4iLCJsYXN0X25hbWUiOiJPxJ91ciIsInRva2VuX3R5cGUiOiJhY2Nlc3MiLCJzdWIiOiIxIiwiZXhwIjoxNzcxMzI1MjM0LCJpYXQiOjE3NzEzMTgwMzR9.PlL8aXxN-6U6yZE1nNQJ_sTdnzwni12p_JxoB1RRfy0' \
  -d ''

Request URL

http://localhost:8080/api/v1/admin/categories/11/restore

Server response
Code	Details
200	
Response body
Download

{
  "category_id": 11,
  "message": "category restored successfully"
}

Response headers

 access-control-allow-credentials: true 
 access-control-allow-headers: Authorization,Content-Type,Accept,Origin,X-Requested-With 
 access-control-allow-methods: GET,POST,PUT,PATCH,DELETE,OPTIONS 
 access-control-allow-origin: http://localhost:8080 
 access-control-max-age: 600 
 content-length: 61 
 content-type: application/json; charset=utf-8 
 date: Tue,17 Feb 2026 10:46:40 GMT 
 vary: Origin 

 ###########
 hard delete
 curl -X 'DELETE' \
  'http://localhost:8080/api/v1/admin/categories/11/hard' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VyX2lkIjoxLCJlbWFpbCI6ImJleWhhbkBiZXloYW4uZGV2IiwiaXNfYWRtaW4iOnRydWUsImZpcnN0X25hbWUiOiJCZXloYW4iLCJsYXN0X25hbWUiOiJPxJ91ciIsInRva2VuX3R5cGUiOiJhY2Nlc3MiLCJzdWIiOiIxIiwiZXhwIjoxNzcxMzI1MjM0LCJpYXQiOjE3NzEzMTgwMzR9.PlL8aXxN-6U6yZE1nNQJ_sTdnzwni12p_JxoB1RRfy0'

Request URL

http://localhost:8080/api/v1/admin/categories/11/hard